<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class H5Request extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|string|min:2|max:5',
            'mobile' => 'required|string|size:11',
            'question' => 'required|array',
            'remark' => 'sometimes|string',
        ];
    }
}
