<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/3/24 14:35
 */


namespace App\Models;


class RechargeConfiguration extends Model
{
    protected $table = 'recharge_configuration';

    const DEFAULT_CONFIG = [
        'data' => [
            [
                'id' => 0,
                'name' => '',
                'recharge_money' => 10.00,
                'discount' => 1,
                'give_money' => 0,
            ],
            [
                'id' => 0,
                'name' => '',
                'recharge_money' => 20.00,
                'discount' => 1,
                'give_money' => 0,
            ],
            [
                'id' => 0,
                'name' => '',
                'recharge_money' => 50.00,
                'discount' => 1,
                'give_money' => 0,
            ]
        ]
    ];

    const STATUS_OK = 1;
    const STATUS_NO = 0;
    public static $statusMaps = [
        self::STATUS_OK => '启用',
        self::STATUS_NO => '停用',
    ];
}
