<?php


namespace App\Repositories;


use App\Models\Config;

class ConfigRepository extends BaseRepository
{
    public function __construct(Config $config)
    {
        $this->model = $config;
    }

    /**
     * 获取安卓最小版本
     * */
    public function getMiniAndroidVersion()
    {
        $con = $this->model->where('slug','Android')->first();

        $version = $con->value ?? '';
        return $version;
    }

    /**
     * 获取苹果最小版本
     * */
    public function getMiniIosVersion()
    {
        $con = $this->model->where('slug','ios')->first();

        $version = $con->value ?? '';
        return $version;
    }
}
