<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/4/16 16:39
 */


namespace App\Transformers;


use App\Models\InviteNewUser;
use League\Fractal\TransformerAbstract;

class RegisterUsersTransformer extends TransformerAbstract
{

    public function transform(InviteNewUser $model)
    {
        return [
            'id' => $model->id,
            'register_nickname' => $model->register->nickname,
            'register_avatar' => $model->register->avatar,
            'register_mobile' => $model->register->mobile,
            'is_card_certified' => $model->is_card_certified,
            'is_first_order' => $model->is_first_order,
            'status' => $model->status,
            'created_at' => $model->created_at->format('Y-m-d H:i:s'),
        ];
    }
}
