<?php

namespace App\Handlers;


use App\Models\AreaSetting;
use App\Models\Order;
use App\Models\Parking;
use App\Models\User;
use App\Repositories\ParkingRepository;
use Illuminate\Support\Facades\Redis;

class OrderHandler
{
    private $order;
    private $areaSetting;

    public function __construct(Order $order)
    {
        $this->order = $order;
        $this->areaSetting = AreaSetting::where('area_id', $order->area_id)->first();
    }

    public function closeOrder($order)
    {

    }

    public function accountPayOrder(Order $order, User $user)
    {

    }

    /**
     * 通过距离获取调度费
     * @param $distance
     * User: Mead
     */
    public function byDistanceGetDistanceMoney($distance)
    {
        if ($distance <= 1) {
            return $this->areaSetting->min_dispatching_fee;
        }
        if ($distance >= 10) {
            return $this->areaSetting->max_dispatching_fee;
        }
        return $this->areaSetting->min_dispatching_fee;
    }



}
