<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/9
 * Time: 7:39 PM.
 */

namespace App\Http\Controllers\V1;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Cache;

/**
 * 对外接口模块
 * Class AreaController
 * @package App\Http\Controllers\V1
 */
class ApiController extends Controller
{

    /**
     * 清空缓存
     * @return mixed
     * User: Mead
     */
    public function clearCache()
    {
        try {
            Cache::flush();
            return [
                'status' => true
            ];
        } catch (\Exception $exception) {
            return $this->errorNoValidation($exception->getMessage());
        }
    }


}
