<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/19
 * Time: 2:11 PM
 */

namespace App\Http\Controllers\V1;

use App\Http\Controllers\Controller;

/**
 * 基础控制器
 * Class BaseController
 * @package App\Http\Controllers\V1
 */
class BaseController extends Controller
{
    /**
     * 响应成功
     * @return mixed
     * User: Mead
     */
    public function success()
    {
        return $this->response->array([
            'status' => true
        ]);
    }

    /**
     * 响应失败
     * @param string $msg
     * @return mixed
     * User: Mead
     */
    public function error($msg = '请求失败')
    {
        return $this->response->array([
            'status' => false,
            'msg' => $msg
        ]);
    }
}