<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use Illuminate\Validation\Rule;

class MobileCodeRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'mobile' => 'required|string|size:11',
            'type' => [
                'required',
                Rule::in([
                    1,// 表示发送验证码
                    2,// 表示重新绑定手机号时发送验证码
                    3,// 表示换账号登录时使用
                ]),
            ],
        ];
    }
}
