<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Models\Order;
use App\Validators\Rules;
use Illuminate\Validation\Rule;

class OrderPayRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_no' => Rules::no,
            'coupon_user_bags_id' => 'sometimes|integer',
            'pay_type' => [
                'required',
                Rule::in([Order::PAY_TYPE_WECHAT, Order::PAY_TYPE_ACCOUNT])
            ]
        ];
    }
}
