<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class OrderPayShowRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'order_no' => Rules::no,
            'coupon_user_bags_id' => 'sometimes|integer',
            'is_first' => 'sometimes'
        ];
    }
}
