<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 3:22 PM
 */

namespace App\Http\Requests;

use App\Validators\Rules;

class RelayOrderAutoCloseRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'bike_no' => Rules::bike_no,
            'box_no' => Rules::box_no,
            'key' => 'required|string|size:64',
        ];
    }
}