<?php


namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CardRidingUserBags extends Model
{
    public $table = 'card_riding_user_bags';

    protected $fillable = ['user_id','riding_card_id','card_riding_order_id','take_effect_time',
        'deduction_money','expiration_time','is_limit_times','can_ridding_times','day_can_ridding_times','status'];

    const STATUS_OK = 1;
    const STATUS_NO = 0;
    public $statusMaps = [
        self::STATUS_OK => '骑行卡有效',
        self::STATUS_NO => '骑行卡失效'
    ];

    const LIMIT_TIMES_YES = 1;
    const LIMIT_TIMES_NO = 0;
    public static $limitTimesMaps = [
        self::LIMIT_TIMES_NO => '不限次',
        self::LIMIT_TIMES_YES => '限次',
    ];

}
