<?php


namespace App\Transformers;


use App\Models\CardRidingUserBags;
use Carbon\Carbon;
use League\Fractal\TransformerAbstract;

class CardRidingUserBagsTransformer extends TransformerAbstract
{
    public function transform(CardRidingUserBags $cardRidingUserBags)
    {

        $surplus_days = (Carbon::now()->diffInDays(Carbon::make($cardRidingUserBags->expiration_time))) > 0 ? (Carbon::now()->diffInDays(Carbon::make($cardRidingUserBags->expiration_time))) : 0;

        return [
            'is_limit_times' => $cardRidingUserBags->is_limit_times,
            'deduction_money' => $cardRidingUserBags->deduction_money,
            'expiration_time' => $cardRidingUserBags->expiration_time,
            'take_effect_time' => $cardRidingUserBags->take_effect_time,
            'can_ridding_times' => $cardRidingUserBags->can_ridding_times,
            'surplus_days' => $surplus_days
        ];
    }
}
