<?php

/**
 *
 *
 * @category   xxx
 * @package    PSR
 * @subpackage Documentation\API
 * @author     xxx  <xxx@xxx.com>
 * @license    GPL https://xxx.com
 * @link       https://xxx.com
 * @ctime:     2020/3/24 14:45
 */


namespace App\Transformers;


use App\Models\RechargeConfiguration;
use League\Fractal\TransformerAbstract;

class RechargeConfigurationTransformer extends TransformerAbstract
{
    public function transform(RechargeConfiguration $model)
    {
        return [
            'id' => $model->id,
            'name' => $model->name,
            'recharge_money' => $model->recharge_money,
            'discount' => $model->discount,
            'give_money' => $model->give_money,
        ];
    }
}
