<?php
/**
 * Created by PhpStorm.
 * User: Mead
 * Date: 2019/8/5
 * Time: 2:44 PM
 */

namespace App\Transformers;

use App\Models\User;
use League\Fractal\TransformerAbstract;

class UserTransformer extends TransformerAbstract
{

    public function transform(User $user)
    {
        return [
            'nickname' => $user->truename ?? $user->nickname,
            'avatar_url' => $user->avatar,
            'city' => $user->city,
            'country' => $user->country,
            'province' => $user->province,
            'gender' => $user->gender,
            'deposit_money' => $user->deposit_money,
            'wallet_money' => $user->wallet_money,
            'mobile' => mobile_hidden($user->mobile),
            'user' => $user
        ];
    }

}
